package ru.yandex.canvas.model.video;

import com.fasterxml.jackson.annotation.JsonProperty;

public class PythiaAdditionExtraParams {
    @JsonProperty("name")
    private String name;

    @JsonProperty("preset_id")
    private Long presetId;

    @JsonProperty("pythia")
    private PythiaParams pythia;

    @JsonProperty("skip_url")
    private String skipUrl;

    @JsonProperty("vpaid_pcode_url")
    private String vpaidPcodeUrl;

    @JsonProperty("video_id")
    private String videoId;

    public String getName() {
        return name;
    }

    public PythiaAdditionExtraParams setName(String name) {
        this.name = name;
        return this;
    }

    public Long getPresetId() {
        return presetId;
    }

    public PythiaAdditionExtraParams setPresetId(Long presetId) {
        this.presetId = presetId;
        return this;
    }

    public PythiaParams getPythia() {
        return pythia;
    }

    public PythiaAdditionExtraParams setPythia(PythiaParams pythia) {
        this.pythia = pythia;
        return this;
    }

    public String getSkipUrl() {
        return skipUrl;
    }

    public PythiaAdditionExtraParams setSkipUrl(String skipUrl) {
        this.skipUrl = skipUrl;
        return this;
    }

    public String getVpaidPcodeUrl() {
        return vpaidPcodeUrl;
    }

    public PythiaAdditionExtraParams setVpaidPcodeUrl(String vpaidPcodeUrl) {
        this.vpaidPcodeUrl = vpaidPcodeUrl;
        return this;
    }

    public String getVideoId() {
        return videoId;
    }

    public PythiaAdditionExtraParams setVideoId(String videoId) {
        this.videoId = videoId;
        return this;
    }
}
